OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
CopyGroupOp< PointDataTreeType > Struct Template Reference

Copy a group attribute value from one group offset to another. More...

`#include <PointGroup.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | GroupIndex = AttributeSet::Descriptor::GroupIndex

## Public Member Functions
| CopyGroupOp (const GroupIndex &targetIndex, const GroupIndex &sourceIndex)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Public Attributes
const GroupIndex | mTargetIndex
const GroupIndex | mSourceIndex

## Detailed Description

### template<typename PointDataTreeType>
struct openvdb::v7_0::points::point_group_internal::CopyGroupOp< PointDataTreeType >

Copy a group attribute value from one group offset to another.

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = AttributeSet::Descriptor::GroupIndex

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeType>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## Constructor & Destructor Documentation

## ◆ CopyGroupOp()

CopyGroupOp | ( | const GroupIndex & | targetIndex,
|  | const GroupIndex & | sourceIndex
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ mSourceIndex

const GroupIndex mSourceIndex

## ◆ mTargetIndex

const GroupIndex mTargetIndex

The documentation for this struct was generated from the following file:

- PointGroup.h